harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject Re: [general] 100% 1.5 API coverage for Harmony and CORBA.
Date Tue, 23 Jan 2007 15:25:38 GMT
Alexey Petrenko wrote:
> 2007/1/17, Geir Magnusson Jr. <geir@pobox.com>:
>> so what do we do?  I'm hoping that we can find a way to achieve this
>> w/o us having to have "shadow" or duplicate code here...
> That would be great. Can you suggest something?

As Alexey wrote, the level of CORBA support in the RI 5.0 [1] is
predominantly 2.3.1 based.  However, we are free to implement a later
version of the Corba spec and still be compliant since the CORBA code is
an "endorsed standard" (see [2]).

In this case I suggest we support Yoko in their goal of implementing
corba 2.4 (and ignore the JAPI diffs).

[1] http://java.sun.com/j2se/1.5.0/docs/guide/idl/compliance.html
[2] http://java.sun.com/j2se/1.5.0/README.html

Regards,
Tim


Mime
View raw message